Input.Handler (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.Input.Handler class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Input.Handler

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.AntlibDefinition
                  org.apache.tools.ant.taskdefs.DefBase
                      org.apache.tools.ant.taskdefs.Input.Handler

All Implemented Interfaces:
  java.lang.Cloneable

Enclosing class:
  Input

    public class Input.Handler

extends DefBase

Represents an InputHandler.

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`Input.Handler()`

Method Summary
`java.lang.String` | `getClassname()` Get the classname of the InputHandler.
`java.lang.String` | `getRefid()` Get the refid of this Handler.
`Input.HandlerType` | `getType()` Get the handler type.
`void` | `setClassname(java.lang.String classname)` Set the InputHandler classname.
`void` | `setRefid(java.lang.String refid)` Specify that the handler is a reference on the project; this allows the use of a custom inputhandler.
`void` | `setType(Input.HandlerType type)` Set the handler type.

Methods inherited from class org.apache.tools.ant.taskdefs.DefBase
`createClasspath, createLoader, getClasspath, getClasspathId, getLoaderId, hasCpDelegate, init, isReverseLoader, setClasspath, setClasspathRef, setLoaderRef, setReverseLoader`

Methods inherited from class org.apache.tools.ant.taskdefs.AntlibDefinition
`getAntlibClassLoader, getURI, setAntlibClassLoader, setURI`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, execute, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Input.Handler

    public Input.Handler()

Method Detail

### setRefid

    public void setRefid(java.lang.String refid)

  Specify that the handler is a reference on the project; this allows the use of a custom inputhandler.

  Parameters:
    `refid` - the String refid.

### getRefid

    public java.lang.String getRefid()

  Get the refid of this Handler.

  Returns:
    String refid.

### setClassname

    public void setClassname(java.lang.String classname)

  Set the InputHandler classname.

  Parameters:
    `classname` - the String classname.

### getClassname

    public java.lang.String getClassname()

  Get the classname of the InputHandler.

  Returns:
    String classname.

### setType

    public void setType(Input.HandlerType type)

  Set the handler type.

  Parameters:
    `type` - a HandlerType.

### getType

    public Input.HandlerType getType()

  Get the handler type.

  Returns:
    a HandlerType object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD